(!stylesheet "manual-Z-S.css")
(!preferred-title "Chicken - A practical and portable Scheme\nsystem - User's manual (Version 1, Build 17)")
(!using-chapters)
(!default-title "{\n        Chicken - A practical and portable Scheme system\\\\\n        User's manual\\\\\n        (Version 1, Build 17) \\\\\n        \\resizebox{70mm}{74mm}\n                {\\includegraphics{chicken}}}")
(!using-chapters)
(!toc-page 1)
(!using-chapters)
(!toc-entry 0 "1" 3 "%_chap_1" "{Introduction}")
(!using-chapters)
(!toc-entry 0 "2" 4 "%_chap_2" "{Basic mode of operation}")
(!using-chapters)
(!toc-entry 0 "3" 5 "%_chap_3" "{Using the compiler}")
(!toc-entry 1 "3.1" 6 "%_sec_3.1" "{Command line format}")
(!toc-entry 1 "3.2" 7 "%_sec_3.2" "{Runtime options}")
(!toc-entry 1 "3.3" 8 "%_sec_3.3" "{An example}")
(!toc-entry 1 "3.4" 9 "%_sec_3.4" "{Extending the compiler}")
(!toc-entry 1 "3.5" 10 "%_sec_3.5" "{Distributing compiled C files}")
(!using-chapters)
(!toc-entry 0 "4" 11 "%_chap_4" "{Using the interpreter}")
(!toc-entry 1 "4.1" 12 "%_sec_4.1" "{Command line format}")
(!toc-entry 1 "4.2" 13 "%_sec_4.2" "{Writing Scheme scripts}")
(!toc-entry 1 "4.3" 14 "%_sec_4.3" "{Toplevel commands}")
(!toc-entry 1 "4.4" 15 "%_sec_4.4" "{Macros and procedures implemented in the interpreter}")
(!using-chapters)
(!toc-entry 0 "5" 16 "%_chap_5" "{Supported language}")
(!toc-entry 1 "5.1" 17 "%_sec_5.1" "{Deviations from the standard}")
(!toc-entry 1 "5.2" 18 "%_sec_5.2" "{Extensions to the standard}")
(!toc-entry 1 "5.3" 19 "%_sec_5.3" "{Non standard read syntax}")
(!toc-entry 1 "5.4" 20 "%_sec_5.4" "{Non-standard macros and special forms}")
(!toc-entry 2 "5.4.1" 20 "%_sec_5.4.1" "{Binding forms for optional arguments}")
(!toc-entry 2 "5.4.2" 20 "%_sec_5.4.2" "{Other binding forms}")
(!toc-entry 2 "5.4.3" 20 "%_sec_5.4.3" "{Substitution forms and macros}")
(!toc-entry 2 "5.4.4" 20 "%_sec_5.4.4" "{Conditional forms}")
(!toc-entry 2 "5.4.5" 20 "%_sec_5.4.5" "{Record structures}")
(!toc-entry 2 "5.4.6" 20 "%_sec_5.4.6" "{Other forms}")
(!toc-entry 1 "5.5" 21 "%_sec_5.5" "{Declarations}")
(!toc-entry 1 "5.6" 22 "%_sec_5.6" "{Interface to external functions and variables}")
(!toc-entry 2 "5.6.1" 22 "%_sec_5.6.1" "{Accessing external objects}")
(!toc-entry 2 "5.6.2" 22 "%_sec_5.6.2" "{Foreign type specifiers}")
(!toc-entry 2 "5.6.3" 22 "%_sec_5.6.3" "{Entry points}")
(!toc-entry 2 "5.6.4" 22 "%_sec_5.6.4" "{Callbacks}")
(!toc-entry 2 "5.6.5" 22 "%_sec_5.6.5" "{Locations}")
(!toc-entry 2 "5.6.6" 22 "%_sec_5.6.6" "{C interface}")
(!toc-entry 1 "5.7" 23 "%_sec_5.7" "{Parameters}")
(!toc-entry 1 "5.8" 24 "%_sec_5.8" "{Unit: library}")
(!toc-entry 2 "5.8.1" 24 "%_sec_5.8.1" "{Arithmetic}")
(!toc-entry 2 "5.8.2" 24 "%_sec_5.8.2" "{Input/Output}")
(!toc-entry 2 "5.8.3" 24 "%_sec_5.8.3" "{Files}")
(!toc-entry 2 "5.8.4" 24 "%_sec_5.8.4" "{String ports}")
(!toc-entry 2 "5.8.5" 24 "%_sec_5.8.5" "{Feature identifiers}")
(!toc-entry 2 "5.8.6" 24 "%_sec_5.8.6" "{Keywords}")
(!toc-entry 2 "5.8.7" 24 "%_sec_5.8.7" "{Exceptions}")
(!toc-entry 2 "5.8.8" 24 "%_sec_5.8.8" "{Miscellaneous}")
(!toc-entry 1 "5.9" 25 "%_sec_5.9" "{Unit: eval}")
(!toc-entry 2 "5.9.1" 25 "%_sec_5.9.1" "{Loading code}")
(!toc-entry 2 "5.9.2" 25 "%_sec_5.9.2" "{Read-eval-print loop}")
(!toc-entry 2 "5.9.3" 25 "%_sec_5.9.3" "{Macros}")
(!toc-entry 2 "5.9.4" 25 "%_sec_5.9.4" "{Extensions}")
(!toc-entry 2 "5.9.5" 25 "%_sec_5.9.5" "{Miscellaneous}")
(!toc-entry 1 "5.10" 26 "%_sec_5.10" "{Unit: extras}")
(!toc-entry 2 "5.10.1" 26 "%_sec_5.10.1" "{Lists}")
(!toc-entry 2 "5.10.2" 26 "%_sec_5.10.2" "{String-port extensions}")
(!toc-entry 2 "5.10.3" 26 "%_sec_5.10.3" "{Formatted output}")
(!toc-entry 2 "5.10.4" 26 "%_sec_5.10.4" "{Hash tables}")
(!toc-entry 2 "5.10.5" 26 "%_sec_5.10.5" "{Queues}")
(!toc-entry 2 "5.10.6" 26 "%_sec_5.10.6" "{Sorting}")
(!toc-entry 2 "5.10.7" 26 "%_sec_5.10.7" "{Random numbers}")
(!toc-entry 2 "5.10.8" 26 "%_sec_5.10.8" "{Input/Output extensions}")
(!toc-entry 2 "5.10.9" 26 "%_sec_5.10.9" "{Strings}")
(!toc-entry 2 "5.10.10" 26 "%_sec_5.10.10" "{Combinators}")
(!toc-entry 2 "5.10.11" 26 "%_sec_5.10.11" "{Miscellaneous}")
(!toc-entry 1 "5.11" 27 "%_sec_5.11" "{Unit: srfi-1}")
(!toc-entry 1 "5.12" 28 "%_sec_5.12" "{Unit: srfi-4}")
(!toc-entry 1 "5.13" 29 "%_sec_5.13" "{Unit: srfi-13}")
(!toc-entry 1 "5.14" 30 "%_sec_5.14" "{Unit: srfi-14}")
(!toc-entry 1 "5.15" 31 "%_sec_5.15" "{Unit: srfi-25}")
(!toc-entry 1 "5.16" 32 "%_sec_5.16" "{Unit: match}")
(!toc-entry 1 "5.17" 33 "%_sec_5.17" "{Unit: regex}")
(!toc-entry 1 "5.18" 34 "%_sec_5.18" "{Unit: syntax-case}")
(!toc-entry 1 "5.19" 35 "%_sec_5.19" "{Unit: srfi-18}")
(!toc-entry 1 "5.20" 36 "%_sec_5.20" "{Unit: format}")
(!toc-entry 1 "5.21" 37 "%_sec_5.21" "{Unit: posix}")
(!toc-entry 2 "5.21.1" 37 "%_sec_5.21.1" "{Directories}")
(!toc-entry 2 "5.21.2" 37 "%_sec_5.21.2" "{Pipes}")
(!toc-entry 2 "5.21.3" 37 "%_sec_5.21.3" "{Fifos}")
(!toc-entry 2 "5.21.4" 37 "%_sec_5.21.4" "{File descriptors and low-level I/O}")
(!toc-entry 2 "5.21.5" 37 "%_sec_5.21.5" "{Retrieving file attributes}")
(!toc-entry 2 "5.21.6" 37 "%_sec_5.21.6" "{Changing file attributes}")
(!toc-entry 2 "5.21.7" 37 "%_sec_5.21.7" "{Processes}")
(!toc-entry 2 "5.21.8" 37 "%_sec_5.21.8" "{Symbolic links}")
(!toc-entry 2 "5.21.9" 37 "%_sec_5.21.9" "{Permissions, owners, users and groups}")
(!toc-entry 2 "5.21.10" 37 "%_sec_5.21.10" "{Record locking}")
(!toc-entry 2 "5.21.11" 37 "%_sec_5.21.11" "{Signal handling}")
(!toc-entry 2 "5.21.12" 37 "%_sec_5.21.12" "{Environment access}")
(!toc-entry 2 "5.21.13" 37 "%_sec_5.21.13" "{Memory mapped I/O}")
(!toc-entry 2 "5.21.14" 37 "%_sec_5.21.14" "{Time routines}")
(!toc-entry 2 "5.21.15" 37 "%_sec_5.21.15" "{Miscellaneous routines}")
(!toc-entry 2 "5.21.16" 37 "%_sec_5.21.16" "{How Scheme procedures relate to UNIX C functions}")
(!toc-entry 1 "5.22" 38 "%_sec_5.22" "{Unit: script-utils}")
(!toc-entry 2 "5.22.1" 38 "%_sec_5.22.1" "{Pathname operations}")
(!toc-entry 2 "5.22.2" 38 "%_sec_5.22.2" "{Miscellaneous utilities}")
(!toc-entry 1 "5.23" 39 "%_sec_5.23" "{Unit: tcp}")
(!toc-entry 1 "5.24" 40 "%_sec_5.24" "{Unit: srfi-37}")
(!toc-entry 1 "5.25" 41 "%_sec_5.25" "{Unit: lolevel}")
(!toc-entry 2 "5.25.1" 41 "%_sec_5.25.1" "{Foreign pointers}")
(!toc-entry 2 "5.25.2" 41 "%_sec_5.25.2" "{Extending procedures with data}")
(!toc-entry 2 "5.25.3" 41 "%_sec_5.25.3" "{Bytevectors}")
(!toc-entry 2 "5.25.4" 41 "%_sec_5.25.4" "{Data in unmanaged memory}")
(!toc-entry 2 "5.25.5" 41 "%_sec_5.25.5" "{Locatives}")
(!toc-entry 2 "5.25.6" 41 "%_sec_5.25.6" "{Accessing toplevel variables}")
(!toc-entry 2 "5.25.7" 41 "%_sec_5.25.7" "{Miscellaneous routines}")
(!toc-entry 1 "5.26" 42 "%_sec_5.26" "{Unit: tinyclos}")
(!toc-entry 2 "5.26.1" 42 "%_sec_5.26.1" "{Defining forms}")
(!toc-entry 2 "5.26.2" 42 "%_sec_5.26.2" "{Base language}")
(!toc-entry 2 "5.26.3" 42 "%_sec_5.26.3" "{Introspection}")
(!toc-entry 2 "5.26.4" 42 "%_sec_5.26.4" "{Intercessory protocol}")
(!toc-entry 2 "5.26.5" 42 "%_sec_5.26.5" "{Additional protocol}")
(!toc-entry 2 "5.26.6" 42 "%_sec_5.26.6" "{Utility procedures}")
(!toc-entry 2 "5.26.7" 42 "%_sec_5.26.7" "{Builtin classes}")
(!using-chapters)
(!toc-entry 0 "6" 43 "%_chap_6" "{Extensions and \\texttt{csi -setup}}")
(!toc-entry 1 "6.1" 44 "%_sec_6.1" "{setup scripts}")
(!toc-entry 1 "6.2" 45 "%_sec_6.2" "{An Example}")
(!toc-entry 1 "6.3" 46 "%_sec_6.3" "{Notes}")
(!using-chapters)
(!toc-entry 0 "7" 47 "%_chap_7" "{Additional files}")
(!toc-entry 2 "7.0.1" 47 "%_sec_7.0.1" "{\\texttt{srfi-13-syntax.scm}}")
(!toc-entry 2 "7.0.2" 47 "%_sec_7.0.2" "{\\texttt{test-infrastructure.scm}}")
(!toc-entry 3 "7.0.2.1" 47 "%_sec_7.0.2.1" "{The Test Package Macro API}")
(!toc-entry 3 "7.0.2.2" 47 "%_sec_7.0.2.2" "{The Test Case Macro API}")
(!toc-entry 3 "7.0.2.3" 47 "%_sec_7.0.2.3" "{The Expectation Macro API}")
(!toc-entry 3 "7.0.2.4" 47 "%_sec_7.0.2.4" "{Result Object API}")
(!toc-entry 3 "7.0.2.5" 47 "%_sec_7.0.2.5" "{Test Package Result Object API}")
(!toc-entry 3 "7.0.2.6" 47 "%_sec_7.0.2.6" "{Test Case Result Object API}")
(!toc-entry 3 "7.0.2.7" 47 "%_sec_7.0.2.7" "{Expect Result Object API: Single Clause Style Expectation}")
(!toc-entry 3 "7.0.2.8" 47 "%_sec_7.0.2.8" "{Expect Result Object API: Equivalence Style Expectation}")
(!toc-entry 3 "7.0.2.9" 47 "%_sec_7.0.2.9" "{Expect Result Object API: Tolerance Style Expectation}")
(!toc-entry 3 "7.0.2.10" 47 "%_sec_7.0.2.10" "{Various Helper API}")
(!toc-entry 3 "7.0.2.11" 47 "%_sec_7.0.2.11" "{Termination API}")
(!toc-entry 3 "7.0.2.12" 47 "%_sec_7.0.2.12" "{Destructor Object API}")
(!toc-entry 3 "7.0.2.13" 47 "%_sec_7.0.2.13" "{Todo API}")
(!toc-entry 3 "7.0.2.14" 47 "%_sec_7.0.2.14" "{Gloss API}")
(!toc-entry 3 "7.0.2.15" 47 "%_sec_7.0.2.15" "{Skip API}")
(!toc-entry 3 "7.0.2.16" 47 "%_sec_7.0.2.16" "{Side Effect API}")
(!toc-entry 3 "7.0.2.17" 47 "%_sec_7.0.2.17" "{Miscellaneous API}")
(!toc-entry 3 "7.0.2.18" 47 "%_sec_7.0.2.18" "{Analysis of the Result Tree}")
(!toc-entry 3 "7.0.2.19" 47 "%_sec_7.0.2.19" "{Output Generation API}")
(!toc-entry 3 "7.0.2.20" 47 "%_sec_7.0.2.20" "{Example Usages of the Test Suite Infrastructure}")
(!using-chapters)
(!toc-entry 0 "8" 48 "%_chap_8" "{Data Representation}")
(!using-chapters)
(!toc-entry 0 "9" 49 "%_chap_9" "{Bugs and limitations}")
(!using-chapters)
(!toc-entry 0 "10" 50 "%_chap_10" "{Acknowledgements}")
(!using-chapters)
(!toc-entry 0 "IGNORE" 51 "%_chap_Temp_28" "{Bibliography}")
(!using-chapters)
(!toc-entry 0 "IGNORE" 52 "%_chap_Temp_29" "{Index}")
(!index-page 52)
(!using-external-program "makeindex")
(!last-page-number 52)
(!last-modification-time 1062106489)
